{% extends "base.html" %}
{% load static %}
{% block css %}
    <!-- <link rel="stylesheet" type="text/css" href="{% static 'css/Home.css' %}"> -->
{% endblock %}

{% block content %}
<section name="container" id="home" class="content">
  <h2>LAPORAN CUACA</h2>
  <form id="form" name="form" method="POST" action="{% url 'lab_2:index' %}">
    {% csrf_token %}
    <input type="text" name="kota" placeholder="Nama Tempat"><br>
    <button type="submit">Submit</button>
  </form>

  {% if items %}
  <div class="items">
    {% for item in items %}
    <div class="item" style="margin-top: 10px; margin-bottom: 10px; border: 2px solid black;">
      <p>Nama Tempat: {{ item.title }}</p>
      <p>Tipe: {{ item.location_type }}</p>
      <p>Latt Long: {{ item.latt_long }}</p>
      <p>Zona Waktu: {{ item.timezone }}</p>
      {% for weather in item.consolidated_weather %}
      <p>Pada tanggal {{ weather.applicable_date }}:</p>
      <p>&ensp;Cuacanya {{ weather.weather_state_name }}</p>
      <p>&ensp;Rata-rata temperatur {{ weather.the_temp }}&#8451;</p>
      <p>&ensp;Kelembabannya {{ weather.humidity }} %</p>
      {% endfor %}
    </div>
    {% endfor %}
  </div>
  {% endif %}
</section>
{% endblock %}

{% block javascript %}
{% endblock %}
